define shoutcast::stream (
  Integer $streamid,
  String $authhash,
  Hash $config = {}
) {
  $configmapped = $config.map |$k,$v| {
    "$k=$v"
  }.join("\n")
  
  concat::fragment { "${streamid}_streamid":
    content => "streamid=${streamid}\n",
    target  => '/etc/shoutcast.conf',
    order   => $streamid * 1000 + 0
  }

  concat::fragment { "${streamid}_authhash":
    content => "streamauthhash=${authhash}\n",
    target  => '/etc/shoutcast.conf',
    order   => $streamid * 1000 + 1
  }

  concat::fragment { "${streamid}_config":
    content => $configmapped,
    target  => '/etc/shoutcast.conf',
    order   => $streamid * 1000 + 2
  }
}

